Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.oci
Class Connection

    java.lang.Object
      |
      +--weblogic.jdbc.oci.Connection

Direct Known Subclasses:
  XAConnection

public class Connection
extends java.lang.Object
implements java.sql.Connection, weblogic.jdbc.common.internal.Waitable, weblogic.jdbc.common.internal.WLConnectionInfo, weblogic.jdbc.common.OracleConnection, weblogic.jdbc.common.OracleLobCloser

This class is documented only for WebLogic extensions to JDBC. For additional information, see the documentation for java.sql.Connection. To use this extension, cast your Connection object as weblogic.jdbc.oci.Connection

Version:
  2.0
Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Resrved.

Field Summary
`boolean` | `allowmixedmetadata`
`java.lang.String` | `driver`
`int` | `insPieceLength`
`protected java.util.List` | `lobs`
`protected weblogic.jdbc.oci.DatabaseMetaData` | `meta`
`weblogic.db.oci.OciConnection` | `ociconn`
`int` | `selPieceLength`
`java.lang.String` | `url`
`protected java.sql.SQLWarning` | `warnings`

Constructor Summary
`Connection(java.util.Properties info)`

Method Summary
`void` | `addLob(weblogic.jdbc.common.OracleLobCloser lob)`
`boolean` | `autocommitState()`
`void` | `checkIfClosed()`
`void` | `clearWarnings()`
`void` | `close()`
`void` | `closeLob()`
`void` | `commit()`
`java.lang.String` | `connectionName()`
`boolean` | `connectionState()`
`java.sql.Statement` | `createStatement(int resultSetType, int resultSetConcurrency)`
`java.sql.Statement` | `createStatement(int a, int b, int c)`
`int` | `datewidth()`
`void` | `datewidth(int width)`
`int` | `driverType()`
`void` | `finalize()`
`static java.util.Hashtable` | `getAllConnections()`
`boolean` | `getAutoCommit()`
`java.lang.String` | `getCatalog()`
`java.lang.String` | `getDescription()`
`int` | `getHoldability()`
`java.lang.String` | `getName()`
`static int` | `getNumberOfConnections()`
`int` | `getNumberOfStatements()`
`int` | `getTransactionIsolation()`
`java.util.Map` | `getTypeMap()`
`java.sql.SQLWarning` | `getWarnings()`
`boolean` | `isClosed()`
`java.lang.String` | `isolationLevel()`
`boolean` | `isReadOnly()`
`java.lang.String` | `lastSQL()`
`java.lang.String` | `nativeSQL(java.lang.String query)`
`int` | `prefetchSize()`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String a, int b, int c, int d)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int b)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int[] b)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int b, int c, int d)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, java.lang.String[] b)`
`void` | `releaseSavepoint(java.sql.Savepoint a)`
`void` | `removeLob(weblogic.jdbc.common.OracleLobCloser lob)`
`boolean` | `resourcesQueuing()`
`void` | `rollback()`
`void` | `rollback(java.sql.Savepoint a)`
`void` | `setAutoCommit(boolean enableAutoCommit)`
`void` | `setCatalog(java.lang.String catalog)`
`void` | `setHoldability(int a)`
`void` | `setLockArrayFetch(java.lang.Object value)`
`void` | `setLockBindCursorByPosition(java.lang.Object value)`
`void` | `setLockBindSelectItem(java.lang.Object value)`
`void` | `setLockBindVariableByPosition(java.lang.Object value)`
`void` | `setLockCancel(java.lang.Object value)`
`void` | `setLockClose(java.lang.Object value)`
`void` | `setLockDescribe(java.lang.Object value)`
`void` | `setLockExec(java.lang.Object value)`
`void` | `setLockExecAndFetch(java.lang.Object value)`
`void` | `setLockFetch(java.lang.Object value)`
`void` | `setLockOopt(java.lang.Object value)`
`void` | `setLockOpen(java.lang.Object value)`
`void` | `setLockParse(java.lang.Object value)`
`void` | `setOciVerbose(boolean val)`
`void` | `setReadOnly(boolean readOnly)`
`java.sql.Savepoint` | `setSavepoint()`
`java.sql.Savepoint` | `setSavepoint(java.lang.String d)`
`void` | `setTransactionIsolation(int level)`
`void` | `setTypeMap(java.util.Map map)`
`int` | `sharedLibVersion()`
`int` | `statementCount()`
`boolean` | `supportsPrefetch()`
`void` | `waitOnResources(boolean val)` Use this method to access the Oracle `oopt()` function for C (see section 4-97 of The OCI Functions for C).
`java.lang.String` | `weblogicVersion()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ociconn

    public weblogic.db.oci.OciConnection ociconn

### warnings

    protected java.sql.SQLWarning warnings

### meta

    protected weblogic.jdbc.oci.DatabaseMetaData meta

### url

    public java.lang.String url

### driver

    public java.lang.String driver

### lobs

    protected java.util.List lobs

### allowmixedmetadata

    public boolean allowmixedmetadata

### selPieceLength

    public int selPieceLength

### insPieceLength

    public int insPieceLength

Constructor Detail

### Connection

    public Connection(java.util.Properties info)
               throws java.sql.SQLException

Method Detail

### waitOnResources

    public void waitOnResources(boolean val)

  Use this method to access the Oracle `oopt()` function for C (see section 4-97 of The OCI Functions for C). The Oracle C function sets options in cases where requested resources are not available; for example, whether to wait for locks.

  When the argument to this method is true, this WebLogic extension to JDBC sets this option so that your program will receive an error return code whenever a resource is requested but is unavailable. Use of this method can cause several error return codes while waiting for internal resources that are locked for short durations.

  Specified by:
    waitOnResources in interface weblogic.jdbc.common.internal.Waitable

  Parameters:
    `val` - True if the connection should wait on resources

### datewidth

    public int datewidth()

### datewidth

    public void datewidth(int width)

### checkIfClosed

    public void checkIfClosed()
                       throws java.sql.SQLException

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    getWarnings in interface java.sql.Connection

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    clearWarnings in interface java.sql.Connection

### nativeSQL

    public java.lang.String nativeSQL(java.lang.String query)
                               throws java.sql.SQLException

  Specified by:
    nativeSQL in interface java.sql.Connection

### setAutoCommit

    public void setAutoCommit(boolean enableAutoCommit)
                       throws java.sql.SQLException

  Specified by:
    setAutoCommit in interface java.sql.Connection

### getNumberOfConnections

    public static int getNumberOfConnections()

### getNumberOfStatements

    public int getNumberOfStatements()

### getAutoCommit

    public boolean getAutoCommit()

  Specified by:
    getAutoCommit in interface java.sql.Connection

### commit

    public void commit()
                throws java.sql.SQLException

  Specified by:
    commit in interface java.sql.Connection

### rollback

    public void rollback()
                  throws java.sql.SQLException

  Specified by:
    rollback in interface java.sql.Connection

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    close in interface java.sql.Connection

### finalize

    public void finalize()

  Overrides:
    finalize in class java.lang.Object

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Specified by:
    isClosed in interface java.sql.Connection

### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws java.sql.SQLException

  Specified by:
    setReadOnly in interface java.sql.Connection

### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

  Specified by:
    isReadOnly in interface java.sql.Connection

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws java.sql.SQLException

  Specified by:
    setTransactionIsolation in interface java.sql.Connection

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

  Specified by:
    getTransactionIsolation in interface java.sql.Connection

### setCatalog

    public void setCatalog(java.lang.String catalog)
                    throws java.sql.SQLException

  Specified by:
    setCatalog in interface java.sql.Connection

### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

  Specified by:
    getCatalog in interface java.sql.Connection

### addLob

    public void addLob(weblogic.jdbc.common.OracleLobCloser lob)

### removeLob

    public void removeLob(weblogic.jdbc.common.OracleLobCloser lob)

### closeLob

    public void closeLob()

  Specified by:
    closeLob in interface weblogic.jdbc.common.OracleLobCloser

### setOciVerbose

    public void setOciVerbose(boolean val)

### setLockOpen

    public void setLockOpen(java.lang.Object value)

### setLockParse

    public void setLockParse(java.lang.Object value)

### setLockDescribe

    public void setLockDescribe(java.lang.Object value)

### setLockOopt

    public void setLockOopt(java.lang.Object value)

### setLockBindCursorByPosition

    public void setLockBindCursorByPosition(java.lang.Object value)

### setLockBindVariableByPosition

    public void setLockBindVariableByPosition(java.lang.Object value)

### setLockBindSelectItem

    public void setLockBindSelectItem(java.lang.Object value)

### setLockExec

    public void setLockExec(java.lang.Object value)

### setLockExecAndFetch

    public void setLockExecAndFetch(java.lang.Object value)

### setLockFetch

    public void setLockFetch(java.lang.Object value)

### setLockArrayFetch

    public void setLockArrayFetch(java.lang.Object value)

### setLockCancel

    public void setLockCancel(java.lang.Object value)

### setLockClose

    public void setLockClose(java.lang.Object value)

### connectionName

    public java.lang.String connectionName()

  Specified by:
    connectionName in interface weblogic.jdbc.common.internal.WLConnectionInfo

### connectionState

    public boolean connectionState()

  Specified by:
    connectionState in interface weblogic.jdbc.common.internal.WLConnectionInfo

### autocommitState

    public boolean autocommitState()

  Specified by:
    autocommitState in interface weblogic.jdbc.common.internal.WLConnectionInfo

### supportsPrefetch

    public boolean supportsPrefetch()

  Specified by:
    supportsPrefetch in interface weblogic.jdbc.common.internal.WLConnectionInfo

### prefetchSize

    public int prefetchSize()

  Specified by:
    prefetchSize in interface weblogic.jdbc.common.internal.WLConnectionInfo

### isolationLevel

    public java.lang.String isolationLevel()

  Specified by:
    isolationLevel in interface weblogic.jdbc.common.internal.WLConnectionInfo

### resourcesQueuing

    public boolean resourcesQueuing()

  Specified by:
    resourcesQueuing in interface weblogic.jdbc.common.internal.WLConnectionInfo

### weblogicVersion

    public java.lang.String weblogicVersion()

  Specified by:
    weblogicVersion in interface weblogic.jdbc.common.internal.WLConnectionInfo

### driverType

    public int driverType()

  Specified by:
    driverType in interface weblogic.jdbc.common.internal.WLConnectionInfo

### sharedLibVersion

    public int sharedLibVersion()

  Specified by:
    sharedLibVersion in interface weblogic.jdbc.common.internal.WLConnectionInfo

### lastSQL

    public java.lang.String lastSQL()

  Specified by:
    lastSQL in interface weblogic.jdbc.common.internal.WLConnectionInfo

### statementCount

    public int statementCount()

  Specified by:
    statementCount in interface weblogic.jdbc.common.internal.WLConnectionInfo

### getAllConnections

    public static java.util.Hashtable getAllConnections()

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency)
                                       throws java.sql.SQLException

  Specified by:
    createStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency)
                                                throws java.sql.SQLException

  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency)
                                           throws java.sql.SQLException

  Specified by:
    prepareCall in interface java.sql.Connection

### getTypeMap

    public java.util.Map getTypeMap()
                             throws java.sql.SQLException

  Specified by:
    getTypeMap in interface java.sql.Connection

### setTypeMap

    public void setTypeMap(java.util.Map map)
                    throws java.sql.SQLException

  Specified by:
    setTypeMap in interface java.sql.Connection

### releaseSavepoint

    public void releaseSavepoint(java.sql.Savepoint a)
                          throws java.sql.SQLException

### rollback

    public void rollback(java.sql.Savepoint a)
                  throws java.sql.SQLException

### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String a,
                                                  int b,
                                                  int c,
                                                  int d)
                                           throws java.sql.SQLException

### setHoldability

    public void setHoldability(int a)
                        throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int b,
                                                       int c,
                                                       int d)
                                                throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int b)
                                                throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int[] b)
                                                throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       java.lang.String[] b)
                                                throws java.sql.SQLException

### createStatement

    public java.sql.Statement createStatement(int a,
                                              int b,
                                              int c)
                                       throws java.sql.SQLException

### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

### setSavepoint

    public java.sql.Savepoint setSavepoint(java.lang.String d)
                                    throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference